Bug 99289 - Error in help documentation
Error in help documentation
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2003-07-16 19:41 EDT by greg hosler
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 10:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description greg hosler 2003-07-16 19:41:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
ile:///usr/share/redhat-config-network//help/network-aliases.html specifies that
you " If you are configuring an Ethernet device to have an alias, neither the
device nor the alias can be configured to use DHCP. " (this is actually stated
in 2 places on this page).

This is simply not true.

if the primary device (e.g. eth0) is configured w/ DHCP, there is absolutely
nothing incorrect, or wrong, with configuring the alias as a static IP number.
It works as one would expect it to work.

At best, the language should state that when selecting a static IP, one should
not choose an IP that the dhcp server has domain over (and might assign to
another network card on the same network), but that applies universally to
selecting static IP address, not just specificly to setting up an alias IP address.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run redhat-config-network
2. click help
3. click "Device Aliases" (last entry in ToC)

Actual Results:  incorrect documentation

Expected Results:  accurate documentation

Additional info:

Have not checked alpha yet. Will do so towards the weekend.
Comment 1 Tammy Fox 2004-08-25 11:12:49 EDT
When I wrote the docs, assigning either device with DHCP did not work
when one was an alias. Perhaps it has changed, but it needs to be
tested again before the documentation changes. I do not maintain this
document anymore, so I am reassigning to John so it can be fixed.

Note You need to log in before you can comment on or make changes to this bug.